summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 05:04:21 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 05:04:21 +0000
commit0fff9dab63d2ac6b195b1a4a0d1f241663294337 (patch)
tree8eb7409dd1100c166d146053a4415d5be5d738aa /testsuite
parentAdding debian version 1.4-1. (diff)
downloadlunzip-0fff9dab63d2ac6b195b1a4a0d1f241663294337.tar.xz
lunzip-0fff9dab63d2ac6b195b1a4a0d1f241663294337.zip
Merging upstream version 1.5~rc1.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index c4f612e..52d5122 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -27,6 +27,12 @@ fail=0
printf "testing lunzip-%s..." "$2"
+"${LZIP}" -cqu-1 "${in_lz}" > /dev/null
+if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
+"${LZIP}" -cqu0 "${in_lz}" > /dev/null
+if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
+"${LZIP}" -cqu4095 "${in_lz}" > /dev/null
+if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -tq in
if [ $? = 2 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -tq < in
@@ -45,11 +51,23 @@ if [ $? = 2 ] ; then printf . ; else printf - ; fail=1 ; fi
cmp in copy || fail=1
printf .
+cat "${in_lz}" > copy.lz || framework_failure
+"${LZIP}" -df copy.lz || fail=1
+cmp in copy || fail=1
+printf .
+
printf "to be overwritten" > copy || framework_failure
"${LZIP}" -df -o copy < "${in_lz}" || fail=1
cmp in copy || fail=1
printf .
+for i in 12 4096 4Ki 29 512KiB ; do
+ printf "to be overwritten" > copy || framework_failure
+ "${LZIP}" -df -u$i -o copy < "${in_lz}" || fail=1
+ cmp in copy || fail=1
+ printf .
+done
+
cat "${in_lz}" > anyothername || framework_failure
"${LZIP}" -d anyothername || fail=1
cmp in anyothername.out || fail=1
@@ -65,7 +83,7 @@ printf .
printf "garbage" >> copy2.lz || framework_failure
printf "to be overwritten" > copy2 || framework_failure
-"${LZIP}" -dfk copy2.lz || fail=1
+"${LZIP}" -df copy2.lz || fail=1
cmp in2 copy2 || fail=1
printf .